Package de.willuhn.jameica.hbci.rmi

# Interface Checksum

All Known Subinterfaces:
  `BaseDauerauftrag`, `Dauerauftrag`, `Konto`, `SepaDauerauftrag`, `Turnus`, `Umsatz`

All Known Implementing Classes:
  `AbstractBaseDauerauftragImpl`, `DauerauftragImpl`, `KontoImpl`, `SepaDauerauftragImpl`, `TurnusImpl`, `UmsatzImpl`

public interface Checksum
Klassen, die dieses Interface implementieren, besitzen eine Funktion, welche eine fuer dieses Objekt eindeutige Checksumme zurueckliefert.

## Method Summary

Modifier and Type
Method
Description
`long`
`getChecksum()`
Liefert die Checksumme des Objektes.

## Method Details

### getChecksum

long getChecksum() throws RemoteException
Liefert die Checksumme des Objektes.

Returns:
  Checksumme.
Throws:
  `RemoteException`